Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ReportItemHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ReportItemHandle

All Implemented Interfaces:
  IReportItemMethodContext, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IReportItemModel, org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel

Direct Known Subclasses:
  AutoTextHandle, DataItemHandle, ExtendedItemHandle, FreeFormHandle, GridHandle, ImageHandle, LabelHandle, LineHandle, ListingHandle, RectangleHandle, TextDataHandle, TextItemHandle

    public abstract class ReportItemHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IReportItemModel, org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel, IReportItemMethodContext

Represents a report item: any element that can appear within a section of the report. Report items have a size and position that are used in some containers. Report items also have a style. Report items can references to the data set to use for itself. Many report items can be the target of hyperlinks. The bookmark property identifies the item location. It also has a set of visibility rules that say when a report item should be hidden. The bindings allow a report item to pass data into its data source. Call `DesignElementHandle.getPrivateStyle()`( ) to get a handle with getter/setter methods for the style properties.

See Also:
  `ReportItem`

Field Summary
`static int` | `DATABINDING_TYPE_DATA` Data binding type "data", means the report item is binding to a data set or cube.
`static int` | `DATABINDING_TYPE_NONE` Data binding type "none".
`static int` | `DATABINDING_TYPE_REPORT_ITEM_REF` Data binding type "reportItemRef", means the report item is binding to another report item.

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IReportItemModel
`ACL_EXPRESSION_PROP, ALLOW_EXPORT_PROP, BOOKMARK_DISPLAY_NAME_PROP, BOOKMARK_PROP, BOUND_DATA_COLUMNS_PROP, CASCADE_ACL_PROP, CUBE_PROP, DATA_BINDING_REF_PROP, DATA_SET_PROP, HEIGHT_PROP, MULTI_VIEWS_PROP, ON_CREATE_METHOD, ON_PAGE_BREAK_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, PARAM_BINDINGS_PROP, PUSH_DOWN_PROP, THEME_PROP, TOC_PROP, VISIBILITY_PROP, WIDTH_PROP, X_PROP, Y_PROP, Z_INDEX_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel
`STYLE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.api.elements.IReportItemMethodContext
`ON_CREATE_CONTEXT, ON_PREPARE_CONTEXT, ON_RENDER_CONTEXT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`ReportItemHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs the handle for a report item with the given design and element.

Method Summary
`ComputedColumnHandle` | `addColumnBinding(ComputedColumn addColumn, boolean inForce)` Adds a bound column to the list.
`TOCHandle` | `addTOC(java.lang.String expression)` Adds toc structure.
`TOCHandle` | `addTOC(TOC toc)` Adds toc structure.
`void` | `addView(DesignElementHandle viewElement)` Adds a new element as the view.
`boolean` | `allowExport()` Gets the allowExport property of the report item.
`boolean` | `canAddView(java.lang.String extensionType)` Determines whether this report item can add a view with the specified extension type or not.
`boolean` | `canCascadeACL()` Determines whether this report item can cascade ACL or not.
`boolean` | `cascadeACL()` Returns `true` (the default), a report element's ACL is automatically propagated to all its directly contained child elements and are added to their ACLs.
`java.util.Iterator` | `columnBindingsIterator()` Returns the bound columns that binds the data set columns.
`void` | `dropView(DesignElementHandle viewElement)` Deletes the given view.
`ComputedColumnHandle` | `findColumnBinding(java.lang.String name)` Finds a column binding with the given name.
`java.lang.String` | `getACLExpression()` Returns the ACL expression associated with the report element instance.
`java.util.Iterator` | `getAvailableBindings()` Returns all the bindings which are available for this element.
`java.util.List` | `getAvailableCubeBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.util.List` | `getAvailableDataBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.util.List` | `getAvailableDataSetBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.lang.String` | `getBookmark()` Returns the bookmark of the report item.
`java.lang.String` | `getBookmarkDisplayName()` Gets the display name of the bookmark.
`PropertyHandle` | `getColumnBindings()` Get a handle to deal with the bound column.
`CubeHandle` | `getCube()` Returns the cube of the report item.
`DesignElementHandle` | `getCurrentView()` Returns the view that is being used.
`ReportItemHandle` | `getDataBindingReference()` Returns the report item of which data binding are referred by.
`java.lang.String` | `getDataBindingReferenceName()` Returns the name of the report item of which data binding are referred by.
`int` | `getDataBindingType()` Returns the data binding type of this report item.
`DataSetHandle` | `getDataSet()` Returns the data set of the report item.
`DimensionHandle` | `getHeight()` Gets a handle to deal with the item's height.
`java.util.List` | `getMethods(java.lang.String methodName)` Returns functions that can be called in the given method.
`java.util.List` | `getNamedCubeBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.util.List` | `getNamedDataBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.util.List` | `getNamedDataSetBindingReferenceList()` Returns report items that can be referred by other report items by data binding reference property.
`java.lang.String` | `getOnCreate()` Returns the script executed when the element is created in the Factory.
`java.lang.String` | `getOnPageBreak()` Gets the on-pageBreak script of the report item.
`java.lang.String` | `getOnPrepare()` Gets the on-prepare script of the group.
`java.lang.String` | `getOnRender()` Returns the script executed when the element is prepared for rendering in the Presentation engine.
`java.lang.Object` | `getProperty(java.lang.String propName)` Returns the value of a property as a generic object.
`ReportItemThemeHandle` | `getTheme()` Returns the refresh rate when viewing the report.
`TOCHandle` | `getTOC()` Gets TOC handle.
`java.lang.String` | `getTocExpression()` Deprecated.
`ReportItemHandle` | `getViewHost()` Gets the host element of this view.
`java.util.List` | `getViews()` Returns a list containing view elements.
`DimensionHandle` | `getWidth()` Gets a handle to deal with the item's width.
`DimensionHandle` | `getX()` Gets a handle to deal with the item's x (horizontal) position.
`DimensionHandle` | `getY()` Gets a handle to deal with the item's y (vertical) position.
`int` | `getZIndex()` Gets the item's z position as an integer.
`java.util.Iterator` | `paramBindingsIterator()` Returns the iterator for parameter binding list defined on this report item.
`boolean` | `pushDown()` Indicate if the query will be pushed down to the database.
`void` | `removedColumnBinding(java.lang.String bindingName)` Removes bound column from the element.
`void` | `removedColumnBindings(java.util.List bindingNameList)` Removes bound columns from the element.
`void` | `removedUnusedColumnBindings()` Removes unused bound columns from the element.
`void` | `setACLExpression(java.lang.String expr)` Sets the ACL expression associated with the report element instance.
`void` | `setAllowExport(boolean allowExport)` Sets the allowExport property of the report item.
`void` | `setBookmark(java.lang.String value)` Sets the bookmark of the report item.
`void` | `setBookmarkDisplayName(java.lang.String bookmarkDisplayName)` Sets the display name of the bookmark.
`void` | `setCascadeACL(boolean cascadeACL)` Sets the flag to control whether to cascade ACL
`void` | `setCube(CubeHandle handle)` Sets the cube of the report item.
`void` | `setCurrentView(DesignElementHandle viewElement)` Sets the view to be used.
`void` | `setDataBindingReference(ReportItemHandle item)` Sets the report item of which data binding are referred by.
`void` | `setDataSet(DataSetHandle handle)` Sets the data set of the report item.
`void` | `setHeight(double dimension)` Sets the item's height to a value in default units.
`void` | `setHeight(java.lang.String dimension)` Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setOnCreate(java.lang.String value)` Sets the script executed when the element is created in the Factory.
`void` | `setOnPageBreak(java.lang.String script)` Sets the on-pageBreak script of the report item.
`void` | `setOnPrepare(java.lang.String script)` Sets the on-prepare script of the group element.
`void` | `setOnRender(java.lang.String value)` Sets the script executed when the element is prepared for rendering in the Presentation engine.
`void` | `setPushDown(boolean pushDown)` Sets the pushdown property value of the report item.
`void` | `setTheme(ReportItemThemeHandle theme)`
`void` | `setThemeName(java.lang.String themeName)`
`void` | `setTocExpression(java.lang.String expression)` Deprecated.
`void` | `setWidth(double dimension)` Sets the item's width to a value in default units.
`void` | `setWidth(java.lang.String dimension)` Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setX(double dimension)` Sets the item's x position to a value in default units.
`void` | `setX(java.lang.String dimension)` Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setY(double dimension)` Sets the item's y position to a value in default units.
`void` | `setY(java.lang.String dimension)` Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt".
`void` | `setZIndex(int zIndex)` Sets the item's z position to an integer.
`java.util.Iterator` | `visibilityRulesIterator()` Returns visibility rules defined on the report item.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABINDING_TYPE_NONE

    public static final int DATABINDING_TYPE_NONE

  Data binding type "none".

  See Also:
    Constant Field Values

### DATABINDING_TYPE_DATA

    public static final int DATABINDING_TYPE_DATA

  Data binding type "data", means the report item is binding to a data set or cube.

  See Also:
    Constant Field Values

### DATABINDING_TYPE_REPORT_ITEM_REF

    public static final int DATABINDING_TYPE_REPORT_ITEM_REF

  Data binding type "reportItemRef", means the report item is binding to another report item.

  See Also:
    Constant Field Values

Constructor Detail

### ReportItemHandle

    public ReportItemHandle(org.eclipse.birt.report.model.core.Module module,
                            org.eclipse.birt.report.model.core.DesignElement element)

  Constructs the handle for a report item with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getDataSet

    public DataSetHandle getDataSet()

  Returns the data set of the report item.

  Returns:
    the handle to the data set

### setDataSet

    public void setDataSet(DataSetHandle handle)
                    throws SemanticException

  Sets the data set of the report item.

  Parameters:
    `handle` - the handle of the data set
  Throws:
    `SemanticException` - if the property is locked.

### getCube

    public CubeHandle getCube()

  Returns the cube of the report item.

  Returns:
    the handle to the cube

### setCube

    public void setCube(CubeHandle handle)
                 throws SemanticException

  Sets the cube of the report item.

  Parameters:
    `handle` - the handle of the cube
  Throws:
    `SemanticException` - if the property is locked.

### getX

    public DimensionHandle getX()

  Gets a handle to deal with the item's x (horizontal) position.

  Returns:
    a DimensionHandle for the item's x position.

### getY

    public DimensionHandle getY()

  Gets a handle to deal with the item's y (vertical) position.

  Returns:
    a DimensionHandle for the item's y position.

### setX

    public void setX(java.lang.String dimension)
              throws SemanticException

  Sets the item's x position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setX

    public void setX(double dimension)
              throws SemanticException

  Sets the item's x position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setY

    public void setY(java.lang.String dimension)
              throws SemanticException

  Sets the item's y position using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setY

    public void setY(double dimension)
              throws SemanticException

  Sets the item's y position to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setHeight

    public void setHeight(java.lang.String dimension)
                   throws SemanticException

  Sets the item's height using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setHeight

    public void setHeight(double dimension)
                   throws SemanticException

  Sets the item's height to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### setWidth

    public void setWidth(java.lang.String dimension)
                  throws SemanticException

  Sets the item's width using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user.

  Parameters:
    `dimension` - dimension string with optional unit suffix.
  Throws:
    `SemanticException` - if the string is not valid

### setWidth

    public void setWidth(double dimension)
                  throws SemanticException

  Sets the item's width to a value in default units. The default unit may be defined by the property in BIRT or the application unit defined in the design session.

  Parameters:
    `dimension` - the new value in application units.
  Throws:
    `SemanticException` - if the property is locked.

### getWidth

    public DimensionHandle getWidth()

  Gets a handle to deal with the item's width.

  Returns:
    a DimensionHandle for the item's width.

### getHeight

    public DimensionHandle getHeight()

  Gets a handle to deal with the item's height.

  Returns:
    a DimensionHandle for the item's height.

### getBookmark

    public java.lang.String getBookmark()

  Returns the bookmark of the report item.

  Returns:
    the book mark as a string

### setBookmark

    public void setBookmark(java.lang.String value)
                     throws SemanticException

  Sets the bookmark of the report item.

  Parameters:
    `value` - the property value to be set.
  Throws:
    `SemanticException` - if the property is locked.

### visibilityRulesIterator

    public java.util.Iterator visibilityRulesIterator()

  Returns visibility rules defined on the report item. The element in the iterator is the corresponding `StructureHandle` that deal with a `Hide` in the list.

  Returns:
    the iterator for visibility rules defined on this report item.
  See Also:
    `HideRule`

### getOnCreate

    public java.lang.String getOnCreate()

  Returns the script executed when the element is created in the Factory. Called after the item is created, but before the item is saved to the report document file.

  Returns:
    the script that executes

### setOnCreate

    public void setOnCreate(java.lang.String value)
                     throws SemanticException

  Sets the script executed when the element is created in the Factory. Called after the item is created, but before the item is saved to the report document file.

  Parameters:
    `value` - the script to set
  Throws:
    `SemanticException` - if the property is locked.

### getOnRender

    public java.lang.String getOnRender()

  Returns the script executed when the element is prepared for rendering in the Presentation engine.

  Returns:
    the script that executes

### setOnRender

    public void setOnRender(java.lang.String value)
                     throws SemanticException

  Sets the script executed when the element is prepared for rendering in the Presentation engine.

  Parameters:
    `value` - the script to set
  Throws:
    `SemanticException` - if the property is locked.

### paramBindingsIterator

    public java.util.Iterator paramBindingsIterator()

  Returns the iterator for parameter binding list defined on this report item. The element in the iterator is the corresponding `StructureHandle` that deal with a `ParamBinding` in the list.

  Returns:
    the iterator for parameter binding handle list defined on this data set.
  See Also:
    `org.eclipse.birt.report.model.api.elements.structures.ParamBindingHandle`

### setTocExpression

    public void setTocExpression(java.lang.String expression)
                          throws SemanticException

  Deprecated.

  Sets a table of contents entry for this item. The TOC property defines an expression that returns a string that is to appear in the Table of Contents for this item or its container.

  Parameters:
    `expression` - the expression that returns a string
  Throws:
    `SemanticException` - if the TOC property is locked by the property mask.
  See Also:
    `getTocExpression()`

### getTocExpression

    public java.lang.String getTocExpression()

  Deprecated.

  Returns the expression evalueated as a table of contents entry for this item.

  Returns:
    the expression evaluated as a table of contents entry for this item
  See Also:
    `setTocExpression(String)`

### getOnPrepare

    public java.lang.String getOnPrepare()

  Gets the on-prepare script of the group. Startup phase. No data binding yet. The design of an element can be changed here.

  Returns:
    the on-prepare script of the group

### setOnPrepare

    public void setOnPrepare(java.lang.String script)
                      throws SemanticException

  Sets the on-prepare script of the group element.

  Parameters:
    `script` - the script to set
  Throws:
    `SemanticException` - if the method is locked.
  See Also:
    `getOnPrepare()`

### getOnPageBreak

    public java.lang.String getOnPageBreak()

  Gets the on-pageBreak script of the report item. Presentation phase. It is for a script executed when the element is prepared for page breaking in the Presentation engine.

  Returns:
    the on-pageBreak script of the report item

### setOnPageBreak

    public void setOnPageBreak(java.lang.String script)
                        throws SemanticException

  Sets the on-pageBreak script of the report item.

  Parameters:
    `script` - the script to set
  Throws:
    `SemanticException` - if the method is locked.
  See Also:
    `getOnPageBreak()`

### columnBindingsIterator

    public java.util.Iterator columnBindingsIterator()

  Returns the bound columns that binds the data set columns. The item in the iterator is the corresponding `ComputedColumnHandle`.

  Returns:
    a list containing the bound columns.

### getColumnBindings

    public PropertyHandle getColumnBindings()

  Get a handle to deal with the bound column.

  Returns:
    a handle to deal with the boudn data column.

### getAvailableBindings

    public java.util.Iterator getAvailableBindings()

  Returns all the bindings which are available for this element. If the report item has no local data set, the bindings come from its container.

  Returns:
    each item is a `ComputedColumnHandle` instance.

### addColumnBinding

    public ComputedColumnHandle addColumnBinding(ComputedColumn addColumn,
                                                 boolean inForce)
                                          throws SemanticException

  Adds a bound column to the list.

  Parameters:
    `addColumn` - the bound column to add
    `inForce` - `true` the column is added to the list regardless of duplicate expression. `false` do not add the column if the expression already exist
    `column` - the bound column
  Returns:
    the newly created `ComputedColumnHandle` or the existed `ComputedColumnHandle` in the list
  Throws:
    `SemanticException` - if expression is not duplicate but the name duplicates the exsiting bound column. Or, if the both name/expression are duplicate, but `inForce` is `true`.

### findColumnBinding

    public ComputedColumnHandle findColumnBinding(java.lang.String name)

  Finds a column binding with the given name.

  Parameters:
    `name` - name of the binding to find
  Returns:
    column binding with the given name if found, otherwise null

### removedUnusedColumnBindings

    public void removedUnusedColumnBindings()
                                     throws SemanticException

  Removes unused bound columns from the element. Bound columns of nested elements will not be removed. For example, if calls this method for a list thaat contains a text-data, unused bound columns on list are removed. While, unused columns on text-data still are kept.

  Throws:
    `SemanticException` - if bound column property is locked.

### getTOC

    public TOCHandle getTOC()

  Gets TOC handle.

  Returns:
    toc handle

### addTOC

    public TOCHandle addTOC(java.lang.String expression)
                     throws SemanticException

  Adds toc structure.

  Parameters:
    `expression` - toc expression
  Returns:
    toc handle
  Throws:
    `SemanticException`

### addTOC

    public TOCHandle addTOC(TOC toc)
                     throws SemanticException

  Adds toc structure.

  Parameters:
    `toc` - toc structure
  Returns:
    toc handle
  Throws:
    `SemanticException`

### getZIndex

    public int getZIndex()

  Gets the item's z position as an integer.

  Returns:
    the z depth. Start from 0

### setZIndex

    public void setZIndex(int zIndex)
                   throws SemanticException

  Sets the item's z position to an integer.

  Parameters:
    `zIndex` - the z depth. Start from 0
  Throws:
    `SemanticException` - if the property is locked.

### getMethods

    public java.util.List getMethods(java.lang.String methodName)

  Returns functions that can be called in the given method.

  Parameters:
    `methodName` - the method name in string
  Returns:
    a list containing `IMethodInfo` for functions

### setDataBindingReference

    public void setDataBindingReference(ReportItemHandle item)
                                 throws SemanticException

  Sets the report item of which data binding are referred by.

  Parameters:
    `item` - the report item
  Throws:
    `SemanticException` - if the element reference makes a circle

### getDataBindingReferenceName

    public java.lang.String getDataBindingReferenceName()

  Returns the name of the report item of which data binding are referred by.

  Returns:
    the report item name

### getDataBindingReference

    public ReportItemHandle getDataBindingReference()

  Returns the report item of which data binding are referred by.

  Returns:
    the report item

### getDataBindingType

    public int getDataBindingType()

  Returns the data binding type of this report item. The return value should be one of following:
  - DATABINDING_TYPE_NONE, no data binding.
  - DATABINDING_TYPE_DATA, data binding to data set or cube.
  - DATABINDING_TYPE_REPORT_ITEM_REF, data binding to another report item.

  Returns:
    the data binding type of this report item

### getAvailableDataBindingReferenceList

    public java.util.List getAvailableDataBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property.

  Two kinds of report items can be referred:

  - The report item has dataset or cube property defined. That is, data set or cube property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has dataset or cube property defined

### getNamedDataBindingReferenceList

    public java.util.List getNamedDataBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property. Report items in the return list have `non-null` names.

  Two kinds of report items can be referred:

  - The report item has dataset or cube property defined. That is, data set or cube property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has dataset or cube property defined

### getAvailableDataSetBindingReferenceList

    public java.util.List getAvailableDataSetBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property.

  Two kinds of report items can be referred:

  - The report item has dataset property defined. That is, data set property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has dataset property defined

### getNamedDataSetBindingReferenceList

    public java.util.List getNamedDataSetBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property. Report items in the return list have `non-null` names.

  Two kinds of report items can be referred:

  - The report item has dataset property defined. That is, data set property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has dataset property defined

### getAvailableCubeBindingReferenceList

    public java.util.List getAvailableCubeBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property.

  Two kinds of report items can be referred:

  - The report item has cube property defined. That is, cube property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has cube property defined

### getNamedCubeBindingReferenceList

    public java.util.List getNamedCubeBindingReferenceList()

  Returns report items that can be referred by other report items by data binding reference property. Report items in the return list have `non-null` names.

  Two kinds of report items can be referred:

  - The report item has cube property defined. That is, cube property is set locally and databinding ref property is null.
  - The report item has data binding reference to other report items.
  ReportItem in the design are all applicable. Each entry of the return list is of `ReportItemHandle` type.

  Returns:
    returns report items that has cube property defined

### removedColumnBindings

    public void removedColumnBindings(java.util.List bindingNameList)
                               throws SemanticException

  Removes bound columns from the element.

  Parameters:
    `bindingNameList` - the binding name list to be removed, each entry should be instance of `java.lang.String`.
  Throws:
    `SemanticException` - if bound column property is locked.

### removedColumnBinding

    public void removedColumnBinding(java.lang.String bindingName)
                              throws SemanticException

  Removes bound column from the element.

  Parameters:
    `bindingName` - the binding name to be removed
  Throws:
    `SemanticException` - if bound column property is locked.

### getCurrentView

    public DesignElementHandle getCurrentView()

  Returns the view that is being used.

  Returns:
    the view that is being used

### addView

    public void addView(DesignElementHandle viewElement)
                 throws SemanticException

  Adds a new element as the view.

  Parameters:
    `viewElement` - the element
  Throws:
    `SemanticException`

### dropView

    public void dropView(DesignElementHandle viewElement)
                  throws SemanticException

  Deletes the given view.

  Parameters:
    `viewElement` - the element
  Throws:
    `SemanticException`

### setCurrentView

    public void setCurrentView(DesignElementHandle viewElement)
                        throws SemanticException

  Sets the view to be used. If the given element is not in the multiple view, it will be added and set as the active view.

  Parameters:
    `viewElement` - the view element, must not be `this`. Can be `null`.
  Throws:
    `SemanticException` - if the given element resides in the other elements.

### getViews

    public java.util.List getViews()

  Returns a list containing view elements.

  Returns:
    a list. Each item is `DesignElementHandle`.

### canAddView

    public boolean canAddView(java.lang.String extensionType)

  Determines whether this report item can add a view with the specified extension type or not.

  Returns:

### getACLExpression

    public java.lang.String getACLExpression()

  Returns the ACL expression associated with the report element instance.

  Returns:
    the expression in string

### setACLExpression

    public void setACLExpression(java.lang.String expr)
                          throws SemanticException

  Sets the ACL expression associated with the report element instance.

  Parameters:
    `expr` - the expression in string
  Throws:
    `SemanticException` - if the property is locked by masks

### cascadeACL

    public boolean cascadeACL()

  Returns `true` (the default), a report element's ACL is automatically propagated to all its directly contained child elements and are added to their ACLs. Otherwise `false`.

  Returns:
    the flag to control whether to cascade ACL

### setCascadeACL

    public void setCascadeACL(boolean cascadeACL)
                       throws SemanticException

  Sets the flag to control whether to cascade ACL

  Parameters:
    `cascadeACL` - `true` (the default), a report element's ACL is automatically propagated to all its directly contained child elements and are added to their ACLs. Otherwise `false`.
  Throws:
    `SemanticException` - if the property is locked by masks

### canCascadeACL

    public boolean canCascadeACL()

  Determines whether this report item can cascade ACL or not. True if and only if this item has define `IReportItemModel.CASCADE_ACL_PROP` property and it is a container.

  Returns:
    true if this item has define `IReportItemModel.CASCADE_ACL_PROP` property and it is a container, otherwise false

### allowExport

    public boolean allowExport()

  Gets the allowExport property of the report item.

  Returns:
    a boolean value which indicates if can be exported or not.

### setAllowExport

    public void setAllowExport(boolean allowExport)
                        throws SemanticException

  Sets the allowExport property of the report item.

  Parameters:
    `allowExport` - indicates whether can be exported or not.
  Throws:
    `SemanticException`

### getViewHost

    public ReportItemHandle getViewHost()

  Gets the host element of this view.

  Returns:
    the host element of this view

### getBookmarkDisplayName

    public java.lang.String getBookmarkDisplayName()

  Gets the display name of the bookmark.

  Returns:
    the display name of the bookmark.

### setBookmarkDisplayName

    public void setBookmarkDisplayName(java.lang.String bookmarkDisplayName)
                                throws SemanticException

  Sets the display name of the bookmark.

  Parameters:
    `bookmarkDisplayName` - the display name of the bookmark to set
  Throws:
    `SemanticException`

### pushDown

    public boolean pushDown()

  Indicate if the query will be pushed down to the database. Default value is false.

  Returns:
    if the query will be pushed down to the database, otherwise return .

### setPushDown

    public void setPushDown(boolean pushDown)
                     throws SemanticException

  Sets the pushdown property value of the report item. Property pushDown indicates if the query will be pushed down to the database.

  Parameters:
    `pushDown` - true if the query will be pushed down to the database, otherwise false.
  Throws:
    `SemanticException`

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)

  Description copied from class: `DesignElementHandle`
  Returns the value of a property as a generic object. The value is the internal property value, it is not localized. For a property with the element reference type, the reference element name is returned.

  Overrides:
    `getProperty` in class `DesignElementHandle`
  Parameters:
    `propName` - the name of the property of interest
  Returns:
    the value of the property. The type of the returned object depends on the property type.
  See Also:
    `DesignElementHandle.getIntProperty(java.lang.String)`, `DesignElementHandle.getStringProperty(java.lang.String)`, `DesignElementHandle.getFloatProperty(java.lang.String)`, `DesignElementHandle.getNumberProperty(java.lang.String)`

### setThemeName

    public void setThemeName(java.lang.String themeName)
                      throws SemanticException

  Throws:
    `SemanticException`

### setTheme

    public void setTheme(ReportItemThemeHandle theme)
                  throws SemanticException

  Throws:
    `SemanticException`

### getTheme

    public final ReportItemThemeHandle getTheme()

  Returns the refresh rate when viewing the report.

  Returns:
    the refresh rate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.